/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package biojava1test;

/**
 *
 * @author caste
 */
import java.util.*;
import org.biojava.bio.seq.*;
import org.biojava.bio.symbol.*;

public class BreakingComponents {
  public static void main(String[] args) {
    //make the 'codon' alphabet
    List l = Collections.nCopies(3, DNATools.getDNA());
    Alphabet alpha = AlphabetManager.getCrossProductAlphabet(l);

    //get the first symbol in the alphabet
    Iterator iter = ((FiniteAlphabet)alpha).iterator();
    AtomicSymbol codon = (AtomicSymbol)iter.next(); // Take the first Symbol (codon) of alpha
    System.out.print(codon.getName()+" is made of: ");

    //break it into a list its components
    List symbols = codon.getSymbols();
    for(int i = 0; i < symbols.size(); i++){
      if(i != 0)
        System.out.print(", ");
      Symbol sym = (Symbol)symbols.get(i);
      System.out.print(sym.getName());
    }
    System.out.println();
  }
}
