/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package biojava1test;

import java.io.BufferedReader;
import java.io.FileReader;
import org.biojava.bio.seq.DNATools;
import org.biojava.bio.seq.Sequence;
import org.biojava.bio.seq.SequenceIterator;
import org.biojava.bio.seq.io.SeqIOTools;
import org.biojava.bio.symbol.Symbol;

/**
 *
 * @author caste
 */
public class LoadGenBankFile {

    public static void main(String[] args) throws Exception {
    // Set up sequence iterator
        String fileName2 = "sequence.gb";
	BufferedReader br2 = new BufferedReader(new FileReader(fileName2));
	SequenceIterator stream2 = SeqIOTools.readGenbank(br2);

	// Iterate over all sequences in the stream
        Sequence seq2=null;
	while (stream2.hasNext()) {
	    seq2= stream2.nextSequence();
	    int gc2 = 0;
	    for (int pos = 1; pos <= seq2.length(); ++pos) {
		Symbol sym = seq2.symbolAt(pos);
		if (sym == DNATools.g() || sym == DNATools.c())
		    ++gc2;
            }
            System.out.println("Sequence: "+seq2.getName() + ", "+seq2.getURN()+ ". gc: "+gc2+", gc content:" + ((double)gc2 / seq2.length()*100) +"%, length: "+seq2.length());
            System.out.println(seq2.seqString().substring(0, 10)+"..."+seq2.seqString().substring(seq2.length()-10, seq2.length()));
	}
    }
}
