/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package biojava1test;

/**
 *
 * @author caste
 */
import org.biojava.bio.seq.*;
import org.biojava.bio.symbol.*;

public class StringToSequence {
  public static void main(String[] args) {

    try {
      //create a DNA sequence with the name dna_1
      Sequence dna = DNATools.createDNASequence("atgctg", "dna_1");

      //create an RNA sequence with the name rna_1
      Sequence rna = RNATools.createRNASequence("augcug", "rna_1");

      //create a Protein sequence with the name prot_1
      Sequence prot = ProteinTools.createProteinSequence("AFHS", "prot_1");

        // Print sequences, names and URN
      System.out.println("dna="+dna.seqString()+", name="+dna.getName()+", URN="+dna.getURN());
      System.out.println("rna="+rna.seqString()+", name="+rna.getName()+", URN="+rna.getURN());
      System.out.println("prot="+prot.seqString()+", name="+prot.getName()+", URN="+prot.getURN());
    }
    catch (IllegalSymbolException ex) {
      //an exception is thrown if you use a non IUB symbol
      ex.printStackTrace();
    }
  }
}
