/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package biojava1test;

/**
 *
 * @author caste
 */

import java.util.Iterator;
import org.biojava.bio.symbol.*;
import org.biojava.bio.seq.*;

public class AlphabetExample {
  public static void main(String[] args) {
    	    Alphabet dna, rna, prot, proteinterm;

	    //get the DNA alphabet by name
	    dna = AlphabetManager.alphabetForName("DNA");

	    //get the RNA alphabet by name
	    rna = AlphabetManager.alphabetForName("RNA");

	    //get the Protein alphabet by name
	    prot = AlphabetManager.alphabetForName("PROTEIN");
	    //get the protein alphabet that includes the * termination Symbol (symbol TER)
	    proteinterm = AlphabetManager.alphabetForName("PROTEIN-TERM");

	    //get those same Alphabets from the Tools classes
	    dna = DNATools.getDNA();
	    rna = RNATools.getRNA();
	    prot = ProteinTools.getAlphabet();
	    //or the one with the * symbol
	    proteinterm = ProteinTools.getTAlphabet();

                // Print dna alphabet
            Iterator dnaSymbols = ((FiniteAlphabet)dna).iterator();
            while (dnaSymbols.hasNext()) {          // Print alphabet symbols
                Symbol s = (Symbol) dnaSymbols.next();
                System.out.println(s.getName());
            }
            System.out.println(((FiniteAlphabet)dna).size());
            System.out.println();

                // Print rna alphabet
            Iterator rnaSymbols = ((FiniteAlphabet)rna).iterator();
            while (rnaSymbols.hasNext()) {          // Print alphabet symbols
                Symbol s = (Symbol) rnaSymbols.next();
                System.out.println(s.getName());
            }
            System.out.println(((FiniteAlphabet)rna).size());
            System.out.println();

                // Print prot alphabet
            Iterator protSymbols = ((FiniteAlphabet)prot).iterator();
            while (protSymbols.hasNext()) {          // Print alphabet symbols
                Symbol s = (Symbol) protSymbols.next();
                System.out.println(s.getName());
            }
            System.out.println(((FiniteAlphabet)prot).size());  // 20 + 2 (Sel and Pyl)
            System.out.println();

                // Print proteinterm alphabet
            Iterator proteintermSymbols = ((FiniteAlphabet)proteinterm).iterator();
            while (proteintermSymbols.hasNext()) {          // Print alphabet symbols
                Symbol s = (Symbol) proteintermSymbols.next();
                System.out.println(s.getName());
            }
            System.out.println(((FiniteAlphabet)proteinterm).size());   // 20 + 2 (Sel and Pyl) + 1 (Ter=termination)
            System.out.println();

  }
}
