/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package biojava1test;

import org.biojava.bio.seq.*;
import org.biojava.bio.symbol.*;
/**
 *
 * @author caste
 */


public class CodonView {
        public static void main(String[] args) {
            try {
                    //make a DNA SymbolList
                    SymbolList dna = DNATools.createDNA("atgcccgcgtaa");
                    System.out.println("Length of dna " + dna.length());
                            //get a Codon View (window size of three)      
                    SymbolList codons=SymbolListViews.windowedSymbolList(dna, 3);
                    System.out.println("Length of codons " + codons.length());
                            //get a Triplet View      
                    SymbolList triplets = SymbolListViews.orderNSymbolList(dna, 3);
                    System.out.println("Length of triplets "+ triplets.length());
                }
                catch (Exception ex) {
                    ex.printStackTrace();
                }
    }
}
