/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package biojava1test;

/**
 *
 * @author caste
 */
import java.util.*;
import org.biojava.bio.seq.*;
import org.biojava.bio.symbol.*;

public class CrossProduct {
  public static void main(String[] args) {

    //make a CrossProductAlphabet from a List
    List l = Collections.nCopies(3, DNATools.getDNA());
    Alphabet codon = AlphabetManager.getCrossProductAlphabet(l);

    //get the same Alphabet by name
    Alphabet codon2 =
        AlphabetManager.generateCrossProductAlphaFromName("(DNA x DNA x DNA)");

    //show that the two Alphabets are canonical
    System.out.println(codon == codon2);

    // Print the alphabet
    Iterator codonSymbols = ((FiniteAlphabet)codon).iterator();
    while (codonSymbols.hasNext()) {          // Print alphabet symbols
        Symbol s = (Symbol) codonSymbols.next();
        System.out.println(s.getName());
    }
    System.out.println("Alphabet size="+((FiniteAlphabet)codon).size());
    System.out.println();
  }
}