/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package biojava1test;

/**
 *
 * @author caste
 */
import org.biojava.bio.symbol.*;
import org.biojava.bio.seq.*;

public class ReverseComplement {
  public static void main(String[] args) {

    try {
      //make a DNA SymbolList
      SymbolList forward = DNATools.createDNA("atgcacgggaactaa");
      System.out.println("Original: "+forward.seqString());

      //two steps
      SymbolList reverse = SymbolListViews.reverse(forward);
      SymbolList revc1 = DNATools.complement(reverse);
      System.out.println("reverse: "+reverse.seqString());
      System.out.println("revc1: "+revc1.seqString());

      //reverse complement it
      SymbolList revc2= DNATools.reverseComplement(forward);

      //prove that it worked
      System.out.println("revc2: "+revc2.seqString());
    }
    catch (IllegalSymbolException ex) {
      //this will happen if you try and make the DNA  seq using non IUB symbols
      ex.printStackTrace();
    }catch (IllegalAlphabetException ex) {
      //this will happen if you try and reverse complement a non DNA (RNA) sequence using DNATools (RNATools)
      ex.printStackTrace();
    }
  }
}
