/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package biojava1test;

/**
 *
 * @author caste
 */
import org.biojava.bio.symbol.*;
import org.biojava.bio.seq.*;

public class SpecifyRange {
  public static void main(String[] args) {
    try {
      //make a RangeLocation specifying the residues 3-8
      Location loc = LocationTools.makeLocation(3,8);
      //print the location
      System.out.println("Location: "+loc.toString());

      //make a SymbolList
      SymbolList sl = RNATools.createRNA("gcagcuaggcggaaggagc");
      System.out.println("SymbolList: "+sl.seqString());

      //get the SymbolList specified by the Location
      SymbolList sym = loc.symbols(sl);
      System.out.println("Symbols specified by Location: "+sym.seqString());
    }
    catch (IllegalSymbolException ex) {
      //illegal symbol used to make sl
      ex.printStackTrace();
    }
  }
}
