/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package biojava1test;

/**
 *
 * @author caste
 */

import org.biojava.bio.seq.*;
import org.biojava.bio.symbol.*;

public class StringToSymbolList {
  public static void main(String[] args) {

    try {
      //create a DNA SymbolList from a String
      SymbolList dna = DNATools.createDNA("atcggtcggctta");

      //create a RNA SymbolList from a String
      SymbolList rna = RNATools.createRNA("auugccuacauaggc");

      //create a Protein SymbolList from a String
      SymbolList aa = ProteinTools.createProtein("AGFAVENDSA");

        // Print the 3 SymbolList
      System.out.println("dna="+dna.seqString());
      System.out.println("rna="+rna.seqString());
      System.out.println("aa="+aa.seqString());
    }
    catch (IllegalSymbolException ex) {
      //this will happen if you use a character in one of your strings that is
      //not an accepted IUB Character for that Symbol.
      ex.printStackTrace();
    }

  }
}
