/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package biojava1test;

/**
 *
 * @author caste
 */
import org.biojava.bio.seq.*;
import org.biojava.bio.symbol.*;

public class SubSequencing {
  public static void main(String[] args) {
    SymbolList symL = null;

    //generate an RNA SymbolList
    try {
      symL = RNATools.createRNA("auggcaccguccagauu");
    }
    catch (IllegalSymbolException ex) {
      ex.printStackTrace();
    }

    //get the first Symbol
    Symbol sym = symL.symbolAt(1);
    System.out.println(sym.getName());

    //get the first three bases
    SymbolList symL2 = symL.subList(1,3);
    System.out.println(symL2.seqString());

    //get the last three bases
    SymbolList symL3 = symL.subList(symL.length() - 3, symL.length());
    System.out.println(symL3.seqString());

    //print the last three bases
    String s = symL.subStr(symL.length() - 3, symL.length());
    System.out.println(s);
    System.out.println();
  }
}
