/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package biojava1test;

/**
 *
 * @author caste
 */
import org.biojava.bio.symbol.*;
import org.biojava.bio.seq.*;

public class Translate {

  public static void main(String[] args) {
    try {
      //create a DNA SymbolList
      SymbolList symL = DNATools.createDNA("atggccattgaatga");
      System.out.println("Original: "+symL.seqString());

      //// MyTest
      SymbolList symL1 = DNATools.transcribeToRNA(symL);
      System.out.println("transcribeToRNA: "+symL1.seqString());
      ////////////////

      //transcribe to RNA
      symL = DNATools.toRNA(symL);
      System.out.println("toRNA: "+symL.seqString());



      //translate to protein
      symL = RNATools.translate(symL);
      System.out.println("translate: "+symL.seqString());
      
     }catch (IllegalAlphabetException ex) {

      /*
       * this will occur if you try and transcribe a non DNA sequence or translate
       * a sequence that isn't a triplet view on a RNA sequence.
       */
       ex.printStackTrace();
     }catch (IllegalSymbolException ex) {
      // this will happen if non IUB characters are used to create the DNA SymbolList
       ex.printStackTrace();
     }
   }
}
